PETSc version 3.17.4
Fix/Edit manual page

# MatSolveTranspose

Solves A' x = b, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolveTranspose(Mat mat,Vec b,Vec x)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the factored matrix
| b | - the right-hand-side vector

### Output Parameter

| x | - the result vector

### Notes

The vectors b and x cannot be the same. I.e., one cannot call MatSolveTranspose(A,x,x).

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatSolve(), MatSolveAdd(), MatSolveTransposeAdd()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatSolveTranspose_MUMPS in src/mat/impls/aij/mpi/mumps/mumps.c
MatSolveTranspose_SeqAIJ in src/mat/impls/aij/seq/aijfact.c
MatSolveTranspose_KLU in src/mat/impls/aij/seq/klu/klu.c
MatSolveTranspose_SeqAIJKokkos in src/mat/impls/aij/seq/kokkos/aijkok.kokkos.cxx
MatSolveTranspose_SeqAIJCUSPARSE in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatSolveTranspose_SPQR in src/mat/impls/aij/seq/spqr/aijspqr.c
MatSolveTranspose_SuperLU in src/mat/impls/aij/seq/superlu/superlu.c
MatSolveTranspose_UMFPACK in src/mat/impls/aij/seq/umfpack/umfpack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages